Bug 1947970 - CVE-2021-3487 mingw-binutils: binutils: excessive debug section size can cause excessive memory consumption in bfd's dwarf2.c read_section() [fedora-all]
Summary: CVE-2021-3487 mingw-binutils: binutils: excessive debug section size can caus...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-binutils
Version: 33
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-3487
TreeView+ depends on / blocked
 
Reported: 2021-04-09 15:56 UTC by Todd Cullum
Modified: 2021-04-24 20:10 UTC (History)
8 users (show)

Fixed In Version: mingw-binutils-2.32-10.fc32 mingw-binutils-2.34-8.fc33 mingw-binutils-2.34-8.fc34
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-20 15:01:23 UTC
Type: ---


Attachments (Terms of Use)

Description Todd Cullum 2021-04-09 15:56:38 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Todd Cullum 2021-04-09 15:56:40 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1947111,1947970

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2021-04-12 16:42:30 UTC
FEDORA-2021-7ca24ddc86 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7ca24ddc86

Comment 3 Fedora Update System 2021-04-12 16:42:31 UTC
FEDORA-2021-9bd201dd4d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9bd201dd4d

Comment 4 Fedora Update System 2021-04-12 16:42:31 UTC
FEDORA-2021-d23d016509 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d23d016509

Comment 5 Fedora Update System 2021-04-13 14:18:49 UTC
FEDORA-2021-d23d016509 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d23d016509`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d23d016509

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-04-13 14:59:47 UTC
FEDORA-2021-9bd201dd4d has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-9bd201dd4d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9bd201dd4d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-04-13 20:47:07 UTC
FEDORA-2021-7ca24ddc86 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-7ca24ddc86`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7ca24ddc86

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-04-20 15:01:23 UTC
FEDORA-2021-d23d016509 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-04-21 21:40:25 UTC
FEDORA-2021-9bd201dd4d has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-04-24 20:10:23 UTC
FEDORA-2021-7ca24ddc86 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.